package com.example.rezabudiawan.demolistview04;

import android.content.Context;
import android.support.annotation.LayoutRes;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.TextView;

import java.util.List;

/**
 * Created by Reza Budiawan on 11/2/2017.
 */

public class AdapterMakanan extends ArrayAdapter<Makanan>{
    public AdapterMakanan(@NonNull Context context, @NonNull List<Makanan> objects) {
        super(context, 0, objects);
    }

    @NonNull
    @Override
    public View getView(int position, @Nullable View convertView, @NonNull ViewGroup parent) {
        LayoutInflater inflater = LayoutInflater.from(getContext());
        if(convertView == null){
            convertView = inflater.inflate(R.layout.layout_list_item,parent,false);
        }
        Makanan makanan = getItem(position);

        //ambil elemen dari convertview
        ImageView imageView = (ImageView) convertView.findViewById(R.id.gambarId);
        TextView et_nama = (TextView) convertView.findViewById(R.id.et_nama);
        TextView et_harga = (TextView) convertView.findViewById(R.id.et_harga);

        imageView.setImageResource(makanan.getImageId());
        et_nama.setText(makanan.getNama());
        et_harga.setText(makanan.getHarga());

        return convertView;
    }
}
